package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Transient;

import java.util.List;

/**
 * 练习题对象 el_practise_qu
 *
 * @author liubo
 * @date 2021-12-14
 */
@ApiModel("练习题")
public class ElPractiseQu extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 练习ID
     */
    @Excel(name = "练习ID")
    @ApiModelProperty(value = "练习ID")
    private Long practiseId;
    /**
     * 题目ID
     */
    @Excel(name = "题目ID")
    @ApiModelProperty(value = "题目ID")
    private Long quId;
    /**
     * 题目类型
     */
    @Excel(name = "题目类型")
    @ApiModelProperty(value = "题目类型")
    private Integer quType;
    /**
     * 是否已答(0 未答，1 已答)
     */
    @Excel(name = "是否已答(0 未答，1 已答)")
    @ApiModelProperty(value = "是否已答(0 未答，1 已答)")
    private Integer answered;
    /**
     * 主观答案
     */
    @Excel(name = "主观答案")
    @ApiModelProperty(value = "主观答案")
    private String answer;
    /**
     * 问题排序
     */
    @Excel(name = "问题排序")
    @ApiModelProperty(value = "问题排序")
    private Integer sort;
    /**
     * 单题分分值
     */
    @Excel(name = "单题分分值")
    @ApiModelProperty(value = "单题分分值")
    private Integer score;
    /**
     * 实际得分(主观题)
     */
    @Excel(name = "实际得分(主观题)")
    @ApiModelProperty(value = "实际得分(主观题)")
    private Integer actualScore;
    /**
     * 是否答对(0 错 ，1 对)
     */
    @Excel(name = "是否答对(0 错 ，1 对)")
    @ApiModelProperty(value = "是否答对(0 错 ，1 对)")
    private Integer isRight;

    /**
     * 题目问题
     */
    @Transient
    @ApiModelProperty(value = "题目问题")
    private String content;
    /**
     * 整题题解
     */
    @Transient
    @ApiModelProperty(value = "整题题解")
    private String analysis;

    @ApiModelProperty(value = "试卷考题答案")
    List<ElPractiseQuAnswer> answerList;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPractiseId(Long practiseId) {
        this.practiseId = practiseId;
    }

    public Long getPractiseId() {
        return practiseId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getQuId() {
        return quId;
    }

    public void setAnswered(Integer answered) {
        this.answered = answered;
    }

    public Integer getAnswered() {
        return answered;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getAnswer() {
        return answer;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public List<ElPractiseQuAnswer> getAnswerList() {
        return answerList;
    }

    public void setAnswerList(List<ElPractiseQuAnswer> answerList) {
        this.answerList = answerList;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

    public Integer getQuType() {
        return quType;
    }

    public void setQuType(Integer quType) {
        this.quType = quType;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getActualScore() {
        return actualScore;
    }

    public void setActualScore(Integer actualScore) {
        this.actualScore = actualScore;
    }
}
